Bug 53886 - [EFL] Remove WebCore::currentTime()
Summary: [EFL] Remove WebCore::currentTime()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other Other
: P2 Normal
Assignee: Patrick R. Gansterer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-06 11:53 PST by Patrick R. Gansterer
Modified: 2011-02-19 07:55 PST (History)
7 users (show)

See Also:


Attachments
Patch (1.46 KB, patch)
2011-02-06 11:58 PST, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff
Patch (1.46 KB, patch)
2011-02-19 04:20 PST, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick R. Gansterer 2011-02-06 11:53:44 PST
see patch
Comment 1 Patrick R. Gansterer 2011-02-06 11:58:01 PST
Created attachment 81423 [details]
Patch
Comment 2 Ryuan Choi 2011-02-17 17:30:07 PST
add WebKit EFL reviewers/committers to CC.
It looks OK to me.
Comment 3 Gyuyoung Kim 2011-02-17 17:35:48 PST
LGTM.
Comment 4 Antonio Gomes 2011-02-17 20:10:16 PST
Comment on attachment 81423 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=81423&action=review

> Source/WebCore/ChangeLog:8
> +        There is no declaration for it and we use WTF::currentTime() everywherey.

typo: everywhereY.

> Source/WebCore/platform/efl/SystemTimeEfl.cpp:2
> - * Copyright (C) 2008 INdT. All rights reserved.
> - * Copyright (C) 2009-2010 ProFUSION embedded systems
> - * Copyright (C) 2009-2010 Samsung Electronics
> + * Copyright (C) 2009 Apple Inc. All Rights Reserved.

Why this?
Comment 5 Patrick R. Gansterer 2011-02-19 04:20:25 PST
Created attachment 83069 [details]
Patch

(In reply to comment #4)
> > Source/WebCore/ChangeLog:8
> > +        There is no declaration for it and we use WTF::currentTime() everywherey.
> 
> typo: everywhereY.

Fixed.

> > Source/WebCore/platform/efl/SystemTimeEfl.cpp:2
> > - * Copyright (C) 2008 INdT. All rights reserved.
> > - * Copyright (C) 2009-2010 ProFUSION embedded systems
> > - * Copyright (C) 2009-2010 Samsung Electronics
> > + * Copyright (C) 2009 Apple Inc. All Rights Reserved.
> 
> Why this?

Now it's the same file as the other SystemTime*.cpp files of the other ports.
Comment 6 Patrick R. Gansterer 2011-02-19 07:54:49 PST
Comment on attachment 83069 [details]
Patch

Clearing flags on attachment: 83069

Committed r79122: <http://trac.webkit.org/changeset/79122>
Comment 7 Patrick R. Gansterer 2011-02-19 07:55:01 PST
All reviewed patches have been landed.  Closing bug.